tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From <br...@panix.com>
Subject Re: mod_jk.so ==> apxs:Break: Command failed with rc=16777215
Date Mon, 04 Dec 2000 23:12:25 GMT
You say you have Java 1.3 but are you sure its installed in /usr/java?
Does /usr/java/bin/java -version come back with v1.3? 
Try "where java"

The reason why it looks like there are NO JAVA 2 HEADERS below. This might(?)
be due to you having installed a jre and not a jdk?


According to Scott Liu:
| 
| Hi All,
| 
| It's been a long battle to make "mod_jk.so" and it failed with
| rc=16777215.
| My system has
| 
| apache-1.3.14
| perl5.6
| java1.3
| tomcat3.2.
| 
| Tomcat3.2 was built successfully. I tried to build "mod_jk.so" which
| failed.
| Can anyone tell me what might had happened from the following log?
| Thanks.
| 
| # /usr/local/apache/bin/apxs -o mod_jk.so -DSOLARIS -I../jk
| -I/usr/java/include -I/usr/java/include/solaris -c *.c ../jk/*.c
| gcc -DSOLARIS2=260 -DUSE_EXPAT -I../lib/expat-lite -DNO_DL_NEEDED
| -I/usr/local/apache/include -I../jk -I/usr/java/include
| -I/usr/java/include/solaris -DSOLARIS  -c mod_jk.c
<snip>

| ../jk/jk_jni_worker.c:764: warning: #warning
| -------------------------------------------------------
| ../jk/jk_jni_worker.c:765: warning: #warning NO JAVA 2 HEADERS! SUPPORT
| FOR JAVA 2 FEATURES DISABLED
| ../jk/jk_jni_worker.c:766: warning: #warning
| -------------------------------------------------------
<snip>
| gcc -DSOLARIS2=260 -DUSE_EXPAT -I../lib/expat-lite -DNO_DL_NEEDED
| -I/usr/local/apache/include -I../jk -I/usr/java/include
| -I/usr/java/include/solaris -DSOLARIS  -c ../jk/jk_worker.c
|   -o mod_jk.so jk_worker.o jk_util.o jk_uri_worker_map.o jk_sockbuf.o
| jk_pool.o jk_nwmain.o jk_msg_buff.o jk_map.o jk_lb_worker.o
| jk_jni_worker.o jk_connect.o jk_ajp13_worker.o jk_ajp13.o
| jk_ajp12_worker.o mod_jk.o
| apxs:Break: Command failed with rc=16777215
| 
| 
| Scott Liu

Mime
View raw message